<h1>Listing safenvs</h1>

<table>
  <thead>
    <tr>
      <th>Dbname</th>
      <th>Rwrite</th>
      <th>Schema hash</th>
      <th>Tables hash</th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @safenvs.each do |safenv| %>
      <tr>
        <td><%= safenv.dbname %></td>
        <td><%= safenv.rwrite %></td>
        <td><%= safenv.schema_hash %></td>
        <td><%= safenv.tables_hash %></td>
        <td><%= link_to 'Show', safenv %></td>
        <td><%= link_to 'Edit', edit_safenv_path(safenv) %></td>
        <td><%= link_to 'Destroy', safenv, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Safenv', new_safenv_path %>
